Add a value to a fixed domain
Appends a single value to the column's fixed (enum) domain. The column must already have a fixed domain configured. **Required scope:** `domains:write`
Authorization
BearerAuth Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to add a single value to a fixed or hierarchical domain.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/values" \ -H "Content-Type: application/json" \ -d '{ "value": "string" }'{ "column_name": "string", "domain": { "type": "string", "allowed_values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ], "parent_column": "string", "lookup": { "source": "string", "mappings": { "property1": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ], "property2": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ] }, "table_name": "string", "table_path": "string", "parent_key": "string", "child_key": "string", "table_id": "string" }, "reference_source": { "table_path": "string", "table_name": "string", "column": "string", "table_id": "string" } }}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Set a reference domain on a column
Links this column's allowed values to the domain of a column in another table. Changes to the source column's domain are automatically reflected here. **Required scope:** `domains:write`
Replace all values in a fixed domain
Overwrites the complete list of allowed values for the column's fixed domain. Existing rows with values not in the new list are not modified, but future writes will be validated against the new set. **Required scope:** `domains:write`